Forum Post
Index > Scribe > Send connection with iScribe v2.28 in Win7 64 resolved

Author/Date Send connection with iScribe v2.28 in Win7 64 resolved
pseudocanuck
11/02/2011 1:50am
Hello,
Using IMAP4full. I had a problem with my send connection. Got the dialogue "Couldn't open connection to server". Sometimes there was no log being recorded. Other times the following:
Using 'C:\Program Files (x86)\Memecode\Scribe\ssleay32.dll'
Using 'C:\Program Files (x86)\Memecode\Scribe\libeay32.dll'
Error: ScribeSSL.cpp:407 - BIO_do_connect failed.SSL connection closed.
Failed to connect socket to myisp.com:25

I tried a number of things, such as:

Tried disabling AV, then firewall.
No change.
Tried reentering password in Accounts>Send.
No change.
Checked out AV & firewall for permissions. Everything seems OK.
Changed Send SSL to TLS.
No change, except that "couldn't open connection" showed faster.
Tried IMAPfetch, then POP3, reiterating the above.
No change.
Changed SSL on Send to None.

That works, either with IMAPfetch, IMAPfull or POP3, and with the following log:
220 myisp.com ESMTP lavad
EHLO myisp.com
250-myisp.com
250-8BITMIME
250-PIPELINING
250-SIZE 1073741824
250-AUTH LOGIN PLAIN
250-AUTH=LOGIN PLAIN
250-Okay.
250 STARTTLS
AUTH LOGIN
334 VXNlcm5hbWU6
Uk1NMDEyNjExQGxhdmFiaXQuY29t
334 UGFzc3dvcmQ6
U2hhd2luaWdhbjkwNQ==
235 Authenticated.
MAIL FROM: <xxxxx@myisp.com>
250 Sender okay.
RCPT TO: <xxxxx>
250 Recipient okay.
DATA
354 Enter mail, end with "." on a line by itself.

Wonderful.
But now, I'm using avast! anti-vi. (Great AV program, BTW). Avast! says it requires that SSL be disabled because it can't scan encrypted content. It provides its own SSL after scanning. Avast! showed the usual dialogue after I initially set up connections within Scribe: "SSL must be disabled in your client". My experience w/ Outlook Express and Outlook shows that this disablement is done automatically by avast! while leaving settings within the client unchanged.
It seems that with Scribe, avast! needs the SSL Send setting at None, while for receive it needs SSL enabled in the client (log shows unsecured connection for Receive when Receive SSL set to None).

I include all the above in case it might be useful to anyone using avast!

Now I have a question myself:
If the log is showing TLS security being used upon Send, is that a guarantee that it's being used in reality?
I'm asking because of the strange fact that, when SSL for send was selected, disabling AV still did not permit the connection. Also, manually changing the Send connection used by avast! to port 465 & SSL instead of what it chose as default (port 25 & TLS), doesn't change the log, and the connection still works.

Regards.
HAS
14/02/2011 8:06am
I am having the same ssl send error. The last known working version for me is v2.26 which I am still using. The next versions I tried were v2.28 and v2.29
My last post to the forum is in message:
Installed i.Scribe for USB - now MAPI32 doesn't work

No firewall. No anti-virus. Regular up-to-date service pack XP Pro 32 bit. (Yes I'm living dangerously without all that protection which would consume more resources than the entire OS - my choice.) The ScribeOptions.xml should stay intact, same ssleay32.dll and libeay32.dll.

I make a zip backup and install on top the existing. When it doesn't work, delete the install and restore the zip backup.
fret
14/02/2011 9:40am
I am having the same ssl send error. The last known working version for me is v2.26 which I am still using. The next versions I tried were v2.28 and v2.29
My last post to the forum is in message:
Installed i.Scribe for USB - now MAPI32 doesn't work


Please try the SSL test. Delete any scribe.txt first, run the build, if SSL connection fails... send me the scribe.txt.
Scott
12/05/2011 11:34am
Scott
12/05/2011 11:39am
fret
12/05/2011 11:40am
Scott
30/05/2011 7:39am
Reply